Create Order

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
boolean
required
Defaults to false

Whether to actually place the order or just get the final quote

string

The ID of an existing order to update.

items
array of objects
required
Defaults to [object Object]

The list of items to include in the order. All items must come from the same menu.

items*
string
required

The product's ID.

integer

The selected quantity (must be greater than 0). If not provided, a quantity of 1 is selected.

integer

The self-provided marked price (in cents) to be used in the email receipt.

selected_options
array of objects

The list of selected options for the product.

selected_options
string

The product notes for the store.

boolean
required
Defaults to false

Whether to the order fulfillment type is pickup or delivery.

string

The ID corresponding to the desired scheduled pickup/delivery window. If not provided, the ASAP window will be chosen by default. Scheduled IDs are provided by Get Inventory and Get Product Details when include_quote is true.

integer
Defaults to 100

The tip for the driver, in cents. Note that this field can only be provided for delivery orders and when quote.accepts_delivery_tip is true from Get Inventory or Get Product Details.

integer
Defaults to 0

The tip for the store, in cents. Note that this field can only be provided for pickup orders and when quote.accepts_pickup_tip is true from Get Inventory or Get Product Details.

number
Defaults to 37.7786357

Latitude of the user. Required if pickup is false.

number
Defaults to -122.3918135

Longitude of the user. Required if pickup is false.

string
Defaults to 188

Street number of the user. Required if pickup is false.

string
Defaults to King Street

Street name of the user. Required if pickup is false.

string

Apartment number of the user.

string
Defaults to San Francisco

City of the user. Required if pickup is false.

string
Defaults to CA

State of the user. Required if pickup is false.

string
enum
Defaults to US

Country of the user. Can either be US or CA. Required if pickup is false.

Allowed:
string
Defaults to 94107

Zipcode of the user. Required if pickup is false.

string
Defaults to Leave in lobby

Dropoff delivery notes for the user. Required if pickup is false.

string

User pickup notes for the store. Note that this field can only be provided when quote.accepts_pickup_note is true from Get Inventory.

string
required
Defaults to Steve Jobs

User's name. This is required so that the store and/or driver know who to give the products to at dropoff. The user_name must consist of a first and last name that are both at least 2 alphabetic characters each, separated by one space. Optionally, the first and last name can be prefixed with any combination of alphabetic characters and spaces, followed by a leading space (i.e. 'Company ABC John Doe').

string
required
Defaults to [email protected]

User's email. Order confirmation, updates, and tracking link will be sent to the email provided here. user_email must be a valid email address (e.g., '[email protected]')

integer
required
Defaults to 14044442058

User's phone number. This is required so that the store and/or driver know who to call for handling product replacements, drop-off, etc. Must include country code.

string
required
Defaults to 7B36A9CF

Unique User ID. This is a self-provided unique identifier for a user, which can later be supplied to Get Orders to fetch a user's order(s). The user_id must only consist of alphanumeric characters.

string

User's payment method ID. The ID is provided by , and the corresponding payment method will be charged if charge_user is true.

boolean
Defaults to true

If true, the payment method corresponding to the supplied payment_method_id will be charged an amount equal to the total_with_tip specified in the response. This amount will also include any additional fees supplied via the misc_fees or added_fees input parameters. Any price markup(s), whether automatically applied or supplied via the product_marked_price and marked_price input parameters, will also be included in the total amount charged.

boolean
Defaults to true

Whether to return the final quote.

boolean
Defaults to false

Whether to send the user order status updates via SMS. It's highly recommended to enable SMS, so that the user can receive order updates from the store and/or driver.

email_receipt_specifications
object

Set of optional configurations used to modify email reciept

sms_options
object

Set of optional SMS-specific configurations.

boolean
Defaults to false

Whether to add this order as a favorited order

string

A unique ID of the order generated in your system. This will be returned in the response from Get Orders when looking up an order.

boolean
Defaults to false

Whether to automatically select the default quantity for all options and fulfill all customization requirements.

metadata
object

A set of key-value pairs that you can attach to an order, and later reference with Get Orders.

string

The tracking link to communicate with the customer via SMS/email. If provided, the MealMe tracking link will be replaced with this one. If the tracking link is to be composed of the MealMe order ID, use <> as the placedholder. For example, if the tracking link https://tracking.example.com/tracking?tracking_id=<> is provided, and the order_id in the response is -Mxak0IAuif3TvN9hBP7, then the final tracking link will be https://tracking.example.com/tracking?tracking_id=-Mxak0IAuif3TvN9hBP7

dropoff_window
object

The desired delivery drop-off window. Only applies to delivery orders. If scheduled_id is provided, dropoff_window will be ignored.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json